For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get access
Getting Started Key Concepts Integration Types Core Components Embed Hosted API API Reference
  • API Reference
    • Contribution Reports
    • Events and Webhooks
      • GETList all enrolment intents
      • POSTCreate a new enrolment intent
      • GETRetrieve an enrolment intent
      • PUTUpdate policy configuration enrolment intent
      • POSTConfirm an enrolment intent
    • API Errors
Get access
LogoLogo
API ReferenceEnrolment Intents

List all enrolment intents

GET
/enrolment_intents
GET
/enrolment_intents
$curl https://test.api.kota.io/enrolment_intents \
> -H "Authorization: Bearer <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "items": [
3 {
4 "id": "ei_9f8b7c6d5a4e3f2b1c0d9e8f7a6b5c4d",
5 "employee_id": "ee_1a2b3c4d5e6f7g8h9i0jklmnopqrstuv",
6 "group_id": "gr_4d3c2b1a0f9e8d7c6b5a4e3f2d1c0b9a",
7 "status": "processing",
8 "force_confirmation": true,
9 "policy_enrolments": [
10 {
11 "type": "health_insurance",
12 "estimated_effective_from": "2024-12-01",
13 "provider": {
14 "id": "pr_7e6d5c4b3a291817161514131211100f",
15 "name": "Acme Health Providers",
16 "description": "Leading provider of comprehensive health insurance plans.",
17 "logo_url": "https://acmehealth.com/assets/logo.png"
18 },
19 "plan": {
20 "id": "pl_0f1e2d3c4b5a69788796959493929190",
21 "name": "Premium Health Plan",
22 "description": "Full coverage health insurance with dental and vision benefits.",
23 "currency": "eur",
24 "documents": [
25 {
26 "title": "Insurance Product Information Document",
27 "link": "https://acmehealth.com/docs/ipid-premium.pdf",
28 "type": "ipid"
29 }
30 ]
31 },
32 "id": "p_1234567890abcdef1234567890abcdef"
33 }
34 ],
35 "disclosures": [
36 {
37 "category": "regulatory",
38 "type": "intermediary_role",
39 "text": "This intermediary acts on behalf of the insurance provider."
40 }
41 ],
42 "object": "enrolment_intent"
43 }
44 ],
45 "page": 1,
46 "page_size": 10,
47 "total_count": 25,
48 "has_next_page": true,
49 "has_previous_page": false
50}

Returns a list of enrolment_intents. The enrolment_intents are returned sorted by creation date, with the most recent enrolment_intent appearing first.

Previous

Cancel the dependents management intent

Next

Create a new enrolment intent

Built with

Authentication

AuthorizationBearer
Authorization header using the Bearer scheme

Query parameters

employee_idstringOptionalformat: "ee_.+"
Filters enrolment intents by employee.
group_idstringOptionalformat: "gr_.+"
Filters enrolment intents by group.
statusstringOptional

Multiple values can be provided by separating them with a comma. Allowed values are: processing, scheduled, action_required, pending_confirmation, enrolling, enrolled, not_undertaken, ineligible.

pageintegerOptional
The page of results to return. Defaults to 1 if not provided.
page_sizeintegerOptional
The number of results to return per page. Defaults to 10 if not provided. Maximum value is 100.

Response

OK
itemslist of objects
A paginated array containing the response elements
pageinteger
The current page of the results
page_sizeinteger
The number of results on this page. This can be different from the requested page size if the total number of results is less than the requested page size
total_countinteger
The total number of elements available in the response. This is the total number of elements available across all pages, not just the current page.
has_next_pagebooleanRead-only
Whether there are more pages available after this page
has_previous_pagebooleanRead-only
Whether there are more pages available before this page

Errors

400
Bad Request Error